      SUBROUTINE DADINI
C
C     + + + PURPOSE + + +
C     Initialize parameter code and data type arrays that are in common
C
C     + + + INCLUDES + + +
      INCLUDE 'datyps.cmn'
      INCLUDE 'dastyp.cmn'
C
C     + + + END SPECIFICATIONS + + +
C
      Types(1) = ' A'
      Types(2) = ' B'
      Types(3) = ' C'
      Types(4) = ' D'
      Types(5) = ' P'
      Types(6) = ' Q'
      Types(7) = ' S'
      Types(8) = ' T'
      Types(9) = ' V'
      Types(10) = ' Z'
      Types(11) = 'AC'
      Types(12) = 'AP'
      Types(13) = 'AR'
      Types(14) = 'AS'
      Types(15) = 'AT'
      Types(16) = 'BC'
      Types(17) = 'BS'
      Types(18) = 'C0'
      Types(19) = 'C1'
      Types(20) = 'C2'
      Types(21) = 'C3'
      Types(22) = 'C4'
      Types(23) = 'C5'
      Types(24) = 'C6'
      Types(25) = 'C7'
      Types(26) = 'C8'
      Types(27) = 'C9'
      Types(28) = 'DO'
      Types(29) = 'GU'
      Types(30) = 'GV'
      Types(31) = 'K0'
      Types(32) = 'K1'
      Types(33) = 'K2'
      Types(34) = 'K3'
      Types(35) = 'K4'
      Types(36) = 'K5'
      Types(37) = 'K6'
      Types(38) = 'K7'
      Types(39) = 'K8'
      Types(40) = 'K9'
      Types(41) = 'L0'
      Types(42) = 'L1'
      Types(43) = 'L2'
      Types(44) = 'L3'
      Types(45) = 'L4'
      Types(46) = 'L5'
      Types(47) = 'L6'
      Types(48) = 'L7'
      Types(49) = 'L8'
      Types(50) = 'L9'
      Types(51) = 'M0'
      Types(52) = 'M1'
      Types(53) = 'M2'
      Types(54) = 'M3'
      Types(55) = 'M4'
      Types(56) = 'M5'
      Types(57) = 'M6'
      Types(58) = 'M7'
      Types(59) = 'M8'
      Types(60) = 'M9'
      Types(61) = 'MU'
      Types(62) = 'MV'
      Types(63) = 'MW'
      Types(64) = 'PH'
      Types(65) = 'PU'
      Types(66) = 'PV'
      Types(67) = 'PW'
      Types(68) = 'QL'
      Types(69) = 'QT'
      Types(70) = 'R0'
      Types(71) = 'R1'
      Types(72) = 'R2'
      Types(73) = 'R3'
      Types(74) = 'R4'
      Types(75) = 'R5'
      Types(76) = 'R6'
      Types(77) = 'R7'
      Types(78) = 'R8'
      Types(79) = 'R9'
      Types(80) = 'RH'
      Types(81) = 'SR'
      Types(82) = 'T0'
      Types(83) = 'T1'
      Types(84) = 'T2'
      Types(85) = 'T3'
      Types(86) = 'T4'
      Types(87) = 'T5'
      Types(88) = 'T6'
      Types(89) = 'T7'
      Types(90) = 'T8'
      Types(91) = 'T9'
      Types(92) = 'UL'
      Types(93) = 'UX'
      Types(94) = 'VY'
      Types(95) = 'WD'
      Types(96) = 'WP'
      Types(97) = 'WS'
      Types(98) = 'WU'
      Types(99) = 'WV'
      Types(100) = 'WZ'
C
      Ctyps(1) = 'CROSS-SECTIONAL AREA      '
      Ctyps(2) = 'CROSS-SECTIONAL WIDTH     '
      Ctyps(3) = 'CONDUCTIVITY              '
      Ctyps(4) = 'DENSITY                   '
      Ctyps(5) = 'PRECIPITATION             '
      Ctyps(6) = 'CROSS-SECTIONAL DISCHARGE '
      Ctyps(7) = 'SALINITY                  '
      Ctyps(8) = 'WATER TEMPERATURE         '
      Ctyps(9) = 'CROSS-SECTIONAL VELOCITY  '
      Ctyps(10) = 'WATER-SURFACE ELEVATION   '
      Ctyps(11) = 'CONVEYANCE AREA           '
      Ctyps(12) = 'ATMOSPHERIC PRESSURE      '
      Ctyps(13) = 'ATMOSPHERIC RADIATION     '
      Ctyps(14) = 'STORAGE AREA              '
      Ctyps(15) = 'AIR TEMPERATURE           '
      Ctyps(16) = 'CONVEYANCE WIDTH          '
      Ctyps(17) = 'STORAGE WIDTH             '
      Ctyps(18) = 'DISSOLVED CONCENTRATION   '
      Ctyps(19) = 'DISSOLVED CONCENTRATION   '
      Ctyps(20) = 'DISSOLVED CONCENTRATION   '
      Ctyps(21) = 'DISSOLVED CONCENTRATION   '
      Ctyps(22) = 'DISSOLVED CONCENTRATION   '
      Ctyps(23) = 'DISSOLVED CONCENTRATION   '
      Ctyps(24) = 'DISSOLVED CONCENTRATION   '
      Ctyps(25) = 'DISSOLVED CONCENTRATION   '
      Ctyps(26) = 'DISSOLVED CONCENTRATION   '
      Ctyps(27) = 'DISSOLVED CONCENTRATION   '
      Ctyps(28) = 'DISSOLVED OXYGEN          '
      Ctyps(29) = 'MAX. WIND-GUST VELOCITY-U '
      Ctyps(30) = 'MAX. WIND-GUST VELOCITY-V '
      Ctyps(31) = 'SUSPENDED CONCENTRATION   '
      Ctyps(32) = 'SUSPENDED CONCENTRATION   '
      Ctyps(33) = 'SUSPENDED CONCENTRATION   '
      Ctyps(34) = 'SUSPENDED CONCENTRATION   '
      Ctyps(35) = 'SUSPENDED CONCENTRATION   '
      Ctyps(36) = 'SUSPENDED CONCENTRATION   '
      Ctyps(37) = 'SUSPENDED CONCENTRATION   '
      Ctyps(38) = 'SUSPENDED CONCENTRATION   '
      Ctyps(39) = 'SUSPENDED CONCENTRATION   '
      Ctyps(40) = 'SUSPENDED CONCENTRATION   '
      Ctyps(41) = 'LATERAL CONCENTRATION     '
      Ctyps(42) = 'LATERAL CONCENTRATION     '
      Ctyps(43) = 'LATERAL CONCENTRATION     '
      Ctyps(44) = 'LATERAL CONCENTRATION     '
      Ctyps(45) = 'LATERAL CONCENTRATION     '
      Ctyps(46) = 'LATERAL CONCENTRATION     '
      Ctyps(47) = 'LATERAL CONCENTRATION     '
      Ctyps(48) = 'LATERAL CONCENTRATION     '
      Ctyps(49) = 'LATERAL CONCENTRATION     '
      Ctyps(50) = 'LATERAL CONCENTRATION     '
      Ctyps(51) = 'MEASURED CONCENTRATION    '
      Ctyps(52) = 'MEASURED CONCENTRATION    '
      Ctyps(53) = 'MEASURED CONCENTRATION    '
      Ctyps(54) = 'MEASURED CONCENTRATION    '
      Ctyps(55) = 'MEASURED CONCENTRATION    '
      Ctyps(56) = 'MEASURED CONCENTRATION    '
      Ctyps(57) = 'MEASURED CONCENTRATION    '
      Ctyps(58) = 'MEASURED CONCENTRATION    '
      Ctyps(59) = 'MEASURED CONCENTRATION    '
      Ctyps(60) = 'MEASURED CONCENTRATION    '
      Ctyps(61) = 'MEAN VELOCITY-U           '
      Ctyps(62) = 'MEAN VELOCITY-V           '
      Ctyps(63) = 'MEAN VELOCITY-W           '
      Ctyps(64) = 'pH                        '
      Ctyps(65) = 'POINT VELOCITY-U          '
      Ctyps(66) = 'POINT VELOCITY-V          '
      Ctyps(67) = 'POINT VELOCITY-W          '
      Ctyps(68) = 'LATERAL DISCHARGE         '
      Ctyps(69) = 'TRIBUTARY DISCHARGE       '
      Ctyps(70) = 'RADIATION                 '
      Ctyps(71) = 'RADIATION                 '
      Ctyps(72) = 'RADIATION                 '
      Ctyps(73) = 'RADIATION                 '
      Ctyps(74) = 'RADIATION                 '
      Ctyps(75) = 'RADIATION                 '
      Ctyps(76) = 'RADIATION                 '
      Ctyps(77) = 'RADIATION                 '
      Ctyps(78) = 'RADIATION                 '
      Ctyps(79) = 'RADIATION                 '
      Ctyps(80) = 'RELATIVE HUMIDITY         '
      Ctyps(81) = 'SOLAR RADIATION           '
      Ctyps(82) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(83) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(84) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(85) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(86) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(87) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(88) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(89) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(90) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(91) = 'TRIBUTARY CONCENTRATION   '
      Ctyps(92) = 'LATERAL FLOW VELOCITY     '
      Ctyps(93) = 'TRANSVERSE VELOCITY       '
      Ctyps(94) = 'LONGITUDINAL VELOCITY     '
      Ctyps(95) = 'WIND DIRECTION            '
      Ctyps(96) = 'WETTED PERIMETER          '
      Ctyps(97) = 'WIND SPEED                '
      Ctyps(98) = 'WIND VELOCITY-U           '
      Ctyps(99) = 'WIND VELOCITY-V           '
      Ctyps(100) = 'VERTICAL VELOCITY         '
C
      Stypes(1) = 'I2'
      Stypes(2) = 'I4'
      Stypes(3) = 'R4'
      Stypes(4) = 'R8'
C
      Rpday(1) = 1
      Rpday(2) = 8
      Rpday(3) = 12
      Rpday(4) = 24
      Rpday(5) = 48
      Rpday(6) = 96
      Rpday(7) = 144
      Rpday(8) = 240
      Rpday(9) = 288
      Rpday(10) = 720
      Rpday(11) = 1440
C
      END
