C  *********************************************************
C  **  (c) Interactive Software Services Ltd. 1989-1995   **
C  ** --------------------------------------------------- **
C  ** Licenced INTERACTER users are granted permission to **
C  ** incorporate this code within their own applications **
C  ** --------------------------------------------------- **
C  **   I.S.S. can be contacted on +44 (0) 1543 503611    **
C  **                       or Fax +44 (0) 1543 574566    **
C  **           or Internet support@issltd.demon.co.uk    **
C  *********************************************************
C
C  INTERACTER Symbolic Names File.
C
C  Group GH : Graphics Hardcopy
C
C  Subroutine  : IGrHardCopyOptions
C  Description : Logicals to define hardcopy options.
C
      INTEGER         ImageWidth, ImageHeight, HorizPos,
     1                VerticPos, Orientation,
     2                InvertColours, UseColour, NumCopies,
     3                LineWidth, LineJoin,
     4                LineCap, FillDensity,
     5                PrintDensity, HardwareText, ControlD,
     6                MaxStroke, CarriageCtrl,
     7                HPGLReplayInfo, ResetStartEnd, 
     8                Transparency, HPGLLabelTerm, EPSFile,
     9                ColourPlanes, Compression, DriverFill,
     A                ImageFormat
C
      PARAMETER       (ImageWidth       =  1)
      PARAMETER       (ImageHeight      =  2)
      PARAMETER       (HorizPos         =  3)
      PARAMETER       (VerticPos        =  4)
      PARAMETER       (Orientation      =  5)
      PARAMETER       (InvertColours    =  6)
      PARAMETER       (UseColour        =  7)
      PARAMETER       (NumCopies        =  8)
      PARAMETER       (LineWidth        =  9)
      PARAMETER       (LineJoin         = 10)
      PARAMETER       (LineCap          = 11)
      PARAMETER       (FillDensity      = 12)
      PARAMETER       (PrintDensity     = 13)
      PARAMETER       (HardwareText     = 14)
      PARAMETER       (ControlD         = 15)
      PARAMETER       (MaxStroke        = 16)
      PARAMETER       (CarriageCtrl     = 17)
      PARAMETER       (HPGLReplayInfo   = 18)
      PARAMETER       (ResetStartEnd    = 19)
      PARAMETER       (Transparency     = 20)
      PARAMETER       (HPGLLabelTerm    = 21)
      PARAMETER       (EPSFile          = 22)
      PARAMETER       (ColourPlanes     = 23)
      PARAMETER       (Compression      = 24)
      PARAMETER       (DriverFill       = 25)
      PARAMETER       (ImageFormat      = 26)
C
      INTEGER         BwOnly,
     1                MitreJoin, RoundJoin, BevelledJoin,
     2                ButtCap, RoundCap, SquareCap,
     3                PCXfile, BMPuncompr, BMPrle
C
      PARAMETER       (BwOnly         = 2)
      PARAMETER       (MitreJoin      = 0)
      PARAMETER       (RoundJoin      = 1)
      PARAMETER       (BevelledJoin   = 2)
      PARAMETER       (ButtCap        = 0)
      PARAMETER       (RoundCap       = 1)
      PARAMETER       (SquareCap      = 2)
      PARAMETER       (PCXfile        = 0)
      PARAMETER       (BMPuncompr     = 1)
      PARAMETER       (BMPrle         = 2)
C
C  Subroutine  : IGrHardCopySelect
C  Description : Locicals For Hardcopy drivers
C
      INTEGER         HPGLplotter, PostScript,
     1                AcornDraw, RasterPrinter,
     2                Tek4014LN03, RasterImage,
     3                LotusPIC,AutoCadDXF,CGMetafile
C
      PARAMETER       (HPGLplotter      =  1)
      PARAMETER       (PostScript       =  2)
      PARAMETER       (AcornDraw        =  3)
      PARAMETER       (RasterPrinter    =  4)
      PARAMETER       (Tek4014LN03      =  5)
      PARAMETER       (RasterImage      =  6)
      PARAMETER       (LotusPIC         =  7)
      PARAMETER       (AutoCadDXF       =  8)
      PARAMETER       (CGMetafile       =  9)
