C  *********************************************************
C  **  (c) Interactive Software Services Ltd. 1989-1995   **
C  ** --------------------------------------------------- **
C  ** Licenced INTERACTER users are granted permission to **
C  ** incorporate this code within their own applications **
C  ** --------------------------------------------------- **
C  **   I.S.S. can be contacted on +44 (0) 1543 503611    **
C  **                       or Fax +44 (0) 1543 574566    **
C  **           or Internet support@issltd.demon.co.uk    **
C  *********************************************************
C
C  INTERACTER Symbolic Names File.
C
C  Group GS : Graphics Style Selection.
C
C  Subroutine  : IGrFillPattern
C  Description : Logicals to define fill pattern.
C
      INTEGER         Outline, Hatched, CrossHatch,
     1                MixedColour, Solid
C
      PARAMETER       (Outline     = 0)
      PARAMETER       (Hatched     = 1)
      PARAMETER       (CrossHatch  = 2)
      PARAMETER       (MixedColour = 3)
      PARAMETER       (Solid       = 4)
C
      INTEGER         Sparse, Medium, Dense1, Dense2, Dense3,
     1                ArcToCentre, NoArcCentre
C
      PARAMETER       (Sparse      = 1)
      PARAMETER       (Medium      = 2)
      PARAMETER       (Dense1      = 3)
      PARAMETER       (Dense2      = 4)
      PARAMETER       (Dense3      = 4)
      PARAMETER       (ArcToCentre = 1)
      PARAMETER       (NoArcCentre = 3)
C
      INTEGER         DiagUp, DiagDown, FillHoriz, FillVertic
C
      PARAMETER       (DiagUp      = 1)
      PARAMETER       (DiagDown    = 2)
      PARAMETER       (FillHoriz   = 3)
      PARAMETER       (FillVertic  = 4)
C
C  Subroutine  : IGrLineType
C  Description : Logicals to select the line type
C
      INTEGER         SolidLine, Dotted, Dashed, DotDash,
     1                DotDotDash, LongShort, ShortDash
C
      PARAMETER       (SolidLine   = 0)
      PARAMETER       (Dotted      = 1)
      PARAMETER       (Dashed      = 2)
      PARAMETER       (DotDash     = 3)
      PARAMETER       (DotDotDash  = 4)
      PARAMETER       (LongShort   = 5)
      PARAMETER       (ShortDash   = 6)
