      SUBROUTINE SYSDATE
     O                  (YR,MO,DA)
C
C     + + + PURPOSE + + +
C     THIS SUBROUTINE IS USED ON SUN COMPUTERS TO REPLACE THE AMDAHL
C     SYSTEM CALLS TO SYSDATE, WHICH RETRIEVE THE SYSTEM DATE.
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER YR, MO, DA
C
C     + + + ARGUMENT DEFINITIONS + + +
C     YR     - year
C     MO     - month
C     DA     - day
C
C     + + + LOCAL VARIABLES + + +
      CHARACTER cdate*8, ctime*10, czone*5
      INTEGER ivalues(8)
C
C     + + + END SPECIFICATIONS + + +
C
C     DATE_AND_TIME IS A LAHEY FORTRAN 90 SYSTEM SUBROUTINE
C
      CALL DATE_AND_TIME(cdate,ctime,czone,ivalues)
C
      READ(cdate,'(2X,I2)') YR
      MO = ivalues(2)
      DA = ivalues(3)
C
      RETURN
      END
C
C
C
      SUBROUTINE SYSTIME
     O                  (HR, MN, SEC)
C
C     + + + PURPOSE + + +
C     THIS SUBROUTINE IS USED TO RETRIEVE THE SYSTEM TIME.
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER HR, MN, SEC
C
C     + + + ARGUMENT DEFINITIONS + + +
C     HR     - Hour
C     MN     - Minute
C     SEC    - Seconds
C
C     + + + LOCAL VARIABLES + + +
      CHARACTER cdate*8, ctime*10, czone*5
      INTEGER ivalues(8)
C
C     + + + END SPECIFICATIONS + + +
C
C     DATE_AND_TIME IS A LAHEY FORTRAN 90 SYSTEM SUBROUTINE
C
      CALL DATE_AND_TIME(cdate,ctime,czone,ivalues)
C
      HR = ivalues(5)
      IF (HR.GT.12) HR = HR - 12
      MN = ivalues(6)
      SEC = ivalues(7)
C
      RETURN
      END
C
C
C
      SUBROUTINE SYSSEC
     O                 ( SEC )
C
C     + + + PURPOSE + + +
C     THIS SUBROUTINE IS USED TO RETRIEVE THE SYSTEM TIME IN TERMS
C     OF SECONDS SINCE MIDNIGHT TIMES 100.
C
C     + + + DUMMY ARGUMENTS + + +
      INTEGER SEC
C
C     + + + ARGUMENT DEFINITIONS + + +
C     SEC    - NUMBER OF SECONDS SINCE MIDNIGHT TIMES 100
C
C     + + + LOCAL VARIABLES + + +
      CHARACTER cdate*8, ctime*10, czone*5
      INTEGER ivalues(8)
C
C     + + + END SPECIFICATIONS + + +
C
C     DATE_AND_TIME IS A LAHEY FORTRAN 90 SYSTEM SUBROUTINE
C
      CALL DATE_AND_TIME(cdate,ctime,czone,ivalues)
C
      SEC=(ivalues(5)*3600+ivalues(6)*60+ivalues(7))*100
C
      RETURN
      END
